### Class

# Gtk StringObject

#### Description [src]

    final class Gtk.StringObject : GObject.Object
    {
      /* No available fields */
    }

The type of items in a `GtkStringList`.

A `GtkStringObject` is a wrapper around a `const char*`; it has a `GtkStringObject:string` property that can be used for property bindings and expressions.

#### Ancestors

- GObject

#### Constructors

###### gtk_string_object_new

Wraps a string in an object for use with `GListModel`.

#### Instance methods

###### gtk_string_object_get_string

Returns the string contained in a `GtkStringObject`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.StringObject:string

The string.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkStringObjectClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.